> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Key Metrics TTM

> The Key Metrics TTM API provides seamless access to a comprehensive set of trailing
twelve-month (TTM) performance indicators. It delivers insights into a company's
profitability, capital efficiency, and liquidity, enabling in-depth evaluation of
financial health and operational performance over the past year.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/key-metrics-ttm/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/key-metrics-ttm/query:
    post:
      tags:
        - Financials & Ratios
      summary: Key Metrics TTM
      description: >-
        The Key Metrics TTM API provides seamless access to a comprehensive set
        of trailing

        twelve-month (TTM) performance indicators. It delivers insights into a
        company's

        profitability, capital efficiency, and liquidity, enabling in-depth
        evaluation of

        financial health and operational performance over the past year.
      operationId: query_key_metrics_TTM_v1_key_metrics_ttm_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KeyMetricsTTMQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KeyMetricsTTMResponse'
components:
  schemas:
    KeyMetricsTTMQuery:
      properties:
        identifier:
          $ref: '#/components/schemas/Identifier'
          description: >-
            An object containing the identifier value(s) and their type for the
            Key Metrics TTM tool.
      type: object
      required:
        - identifier
      title: KeyMetricsTTMQuery
    KeyMetricsTTMResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/KeyMetricsTTM'
          type: array
          title: Results
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          anyOf:
            - $ref: '#/components/schemas/Metadata'
            - type: 'null'
      type: object
      required:
        - results
      title: KeyMetricsTTMResponse
    Identifier:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: >-
            The identifier namespace. Currently only `rp_entity_id` is
            supported.
          default: rp_entity_id
          examples:
            - rp_entity_id
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
      type: object
      required:
        - type
        - value
      title: Identifier
    KeyMetricsTTM:
      properties:
        rp_entity_id:
          type: string
          title: Rp Entity Id
          description: RavenPack internal entity identifier.
          examples:
            - 4A6F00
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: The target identifier provided in the request, e.g., stock symbol.
          examples:
            - GOOGL
        market_cap:
          anyOf:
            - type: integer
            - type: 'null'
          title: Market Cap
          description: The market cap of the company.
          examples:
            - 2907172311540
        enterprise_value_ttm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Enterprise Value Ttm
          description: The enterprise value of the company.
          examples:
            - 2907172311540
        ev_to_sales_ttm:
          anyOf:
            - type: number
            - type: 'null'
          title: Ev To Sales Ttm
          description: The EV/Sales ratio of the company.
          examples:
            - 7.883
        ev_to_operating_cash_flow_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Ev To Operating Cash Flow Ttm
          description: The EV/Operating Cash Flow ratio of the company.
          examples:
            - 21.897
        ev_to_free_cash_flow_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Ev To Free Cash Flow Ttm
          description: The EV/Free Cash Flow ratio of the company.
          examples:
            - 43.876
        ev_to_ebitda_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Ev To Ebitda Ttm
          description: The EV/EBITDA ratio of the company.
          examples:
            - 18.56
        net_debt_to_ebitda_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Net Debt To Ebitda Ttm
          description: The Net Debt/EBITDA ratio of the company.
          examples:
            - 0.13
        current_ratio_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Current Ratio Ttm
          description: The Current Ratio of the company.
          examples:
            - 1.903
        income_quality_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Income Quality Ttm
          description: The Income Quality of the company.
          examples:
            - 1.156
        graham_number_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Graham Number Ttm
          description: The Graham Number of the company.
          examples:
            - 80.139
        graham_net_net_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Graham Net Net Ttm
          description: The Graham Net Net of the company.
          examples:
            - -0.222
        tax_burden_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Tax Burden Ttm
          description: The Tax Burden of the company.
          examples:
            - 0.827
        interest_burden_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Interest Burden Ttm
          description: The Interest Burden of the company.
          examples:
            - 0.997
        working_capital_ttm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Working Capital Ttm
          description: The Working Capital of the company.
          examples:
            - 78906000000
        invested_capital_ttm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Invested Capital Ttm
          description: The Invested Capital of the company.
          examples:
            - 328727000000
        return_on_assets_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Return On Assets Ttm
          description: The Return on Assets of the company.
          examples:
            - 0.23
        operating_return_on_assets_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Operating Return On Assets Ttm
          description: The Operating Return on Assets of the company.
          examples:
            - 0.248
        return_on_tangible_assets_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Return On Tangible Assets Ttm
          description: The Return on Tangible Assets of the company.
          examples:
            - 0.246
        return_on_equity_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Return On Equity Ttm
          description: The Return on Equity of the company.
          examples:
            - 0.343
        return_on_invested_capital_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Return On Invested Capital Ttm
          description: The Return on Invested Capital of the company.
          examples:
            - 0.239
        return_on_capital_employed_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Return On Capital Employed Ttm
          description: The Return on Capital Employed of the company.
          examples:
            - 0.292
        earnings_yield_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Earnings Yield Ttm
          description: The Earnings Yield of the company.
          examples:
            - 0.039
        free_cash_flow_yield_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Free Cash Flow Yield Ttm
          description: The Free Cash Flow Yield of the company.
          examples:
            - 0.022
        capex_to_operating_cash_flow_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Capex To Operating Cash Flow Ttm
          description: The Capex to Operating Cash Flow of the company.
          examples:
            - 0.5
        capex_to_depreciation_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Capex To Depreciation Ttm
          description: The Capex to Depreciation of the company.
          examples:
            - 3.789
        capex_to_revenue_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Capex To Revenue Ttm
          description: The Capex to Revenue of the company.
          examples:
            - 0.18
        sales_general_and_admin_to_revenue_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Sales General And Admin To Revenue Ttm
          description: The Sales General and Admin to Revenue of the company.
          examples:
            - 0.045
        research_and_development_to_revenue_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Research And Development To Revenue Ttm
          description: The Research and Development to Revenue of the company.
          examples:
            - 0.142
        stock_based_compensation_to_revenue_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Stock Based Compensation To Revenue Ttm
          description: The Stock Based Compensation to Revenue of the company.
          examples:
            - 0.046
        intangibles_to_total_assets_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Intangibles To Total Assets Ttm
          description: The Intangibles to Total Assets of the company.
          examples:
            - 0.064
        average_receivables_ttm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Average Receivables Ttm
          description: The Average Receivables of the company.
          examples:
            - 53024000000
        average_payables_ttm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Average Payables Ttm
          description: The Average Payables of the company.
          examples:
            - 8422000000
        average_inventory_ttm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Average Inventory Ttm
          description: The Average Inventory of the company.
          examples:
            - 0
        days_of_sales_outstanding_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Days Of Sales Outstanding Ttm
          description: The Days of Sales Outstanding of the company.
          examples:
            - 54.099
        days_of_payables_outstanding_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Days Of Payables Outstanding Ttm
          description: The Days of Payables Outstanding of the company.
          examples:
            - 19.978
        days_of_inventory_outstanding_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Days Of Inventory Outstanding Ttm
          description: The Days of Inventory Outstanding of the company.
          examples:
            - 0
        operating_cycle_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Operating Cycle Ttm
          description: The Operating Cycle of the company.
          examples:
            - 54.099
        cash_conversion_cycle_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Cash Conversion Cycle Ttm
          description: The Cash Conversion Cycle of the company.
          examples:
            - 34.119784543416905
        free_cash_flow_to_equity_ttm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Free Cash Flow To Equity Ttm
          description: The Free Cash Flow to Equity of the company.
          examples:
            - 46096000000
        free_cash_flow_to_firm_ttm:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Free Cash Flow To Firm Ttm
          description: The Free Cash Flow to Firm of the company.
          examples:
            - 58092641321.391
        tangible_asset_value_ttm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tangible Asset Value Ttm
          description: The Tangible Asset Value of the company.
          examples:
            - 330581000000
        net_current_asset_value_ttm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Net Current Asset Value Ttm
          description: The Net Current Asset Value of the company.
          examples:
            - 27079000000
      type: object
      required:
        - rp_entity_id
        - target_identifier_id
      title: KeyMetricsTTM
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    Metadata:
      properties:
        request_id:
          type: string
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - request_id
      title: Metadata
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````